From dd3b36a3d5c20a68aff5c71113d5baca1a8dc1c8 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 16 Nov 2024 01:04:04 +0200
Subject: [PATCH 54/71] Animation tags: Separate frame number from base tag by
 '_'

See RM #1122

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/tilespec.c              |  4 +-
 data/alio/terrain.spec         |  8 ++--
 data/amplio/select.spec        |  8 ++--
 data/amplio/terrain1.spec      | 62 +++++++++++++--------------
 data/amplio/tiles.spec         |  4 +-
 data/amplio2/activities.spec   |  4 +-
 data/amplio2/select.spec       |  8 ++--
 data/amplio2/terrain1.spec     | 62 +++++++++++++--------------
 data/hex2t/items.spec          |  4 +-
 data/hex2t/select.spec         |  8 ++--
 data/hex2t/tiles.spec          | 64 ++++++++++++++--------------
 data/hexemplio/activities.spec |  4 +-
 data/hexemplio/select.spec     |  8 ++--
 data/hexemplio/terrain.spec    | 74 ++++++++++++++++-----------------
 data/isophex/terrain1.spec     | 76 +++++++++++++++++-----------------
 data/isotrident/select.spec    |  8 ++--
 data/isotrident/terrain1.spec  | 62 +++++++++++++--------------
 data/trident/select.spec       |  8 ++--
 data/trident/tiles.spec        | 72 ++++++++++++++++----------------
 19 files changed, 274 insertions(+), 274 deletions(-)

diff --git a/client/tilespec.c b/client/tilespec.c
index 82010364c0..6fafe615c9 100644
--- a/client/tilespec.c
+++ b/client/tilespec.c
@@ -2986,7 +2986,7 @@ static struct anim *anim_load(struct tileset *t, const char *tag,
   int i;
 
   do {
-    fc_snprintf(buf, sizeof(buf), "%s%d", tag, frames++);
+    fc_snprintf(buf, sizeof(buf), "%s_%d", tag, frames++);
   } while (sprite_exists(t, buf));
 
   if (--frames == 0) {
@@ -3000,7 +3000,7 @@ static struct anim *anim_load(struct tileset *t, const char *tag,
   ret = anim_new(frames, time_per_frame);
 
   for (i = 0; i < frames; i++) {
-    fc_snprintf(buf, sizeof(buf), "%s%d", tag, i);
+    fc_snprintf(buf, sizeof(buf), "%s_%d", tag, i);
     ret->sprites[i] = load_sprite(t, buf, TRUE, TRUE, FALSE);
     if (ret->sprites[i] == nullptr) {
       tileset_error(LOG_FATAL, tileset_name_get(t),
diff --git a/data/alio/terrain.spec b/data/alio/terrain.spec
index 4491c75618..afb2d723ef 100644
--- a/data/alio/terrain.spec
+++ b/data/alio/terrain.spec
@@ -28,10 +28,10 @@ dy = 64
 pixel_border = 1
 
 tiles = { "row", "column","tag"
-  0,    0,  "ts.thermal_vent0"
-  1,    0,  "ts.glowing_rocks0"
-  2,    0,  "ts.huge_plant0"
-  3,    0,  "ts.alien_mine0"
+  0,    0,  "ts.thermal_vent_0"
+  1,    0,  "ts.glowing_rocks_0"
+  2,    0,  "ts.huge_plant_0"
+  3,    0,  "ts.alien_mine_0"
 
   0,    1,  "t.l0.radiating_rocks1"
   5,    1,  "t.l1.radiating_rocks1"
diff --git a/data/amplio/select.spec b/data/amplio/select.spec
index 2daa7ea815..40ff0b05b9 100644
--- a/data/amplio/select.spec
+++ b/data/amplio/select.spec
@@ -23,8 +23,8 @@ dy = 48
 pixel_border = 0
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/amplio/terrain1.spec b/data/amplio/terrain1.spec
index ccdf65866c..ac605e1a39 100644
--- a/data/amplio/terrain1.spec
+++ b/data/amplio/terrain1.spec
@@ -53,41 +53,41 @@ tiles = { "row", "column", "tag"
 
 ; Terrain special resources:
 
- 0,  2, "ts.oasis0"
- 0,  4, "ts.oil0"
+ 0,  2, "ts.oasis_0"
+ 0,  4, "ts.oil_0"
 
- 1,  2, "ts.buffalo0"
- 1,  4, "ts.wheat0"
+ 1,  2, "ts.buffalo_0"
+ 1,  4, "ts.wheat_0"
 
- 2,  2, "ts.pheasant0"
- 2,  4, "ts.silk0"
+ 2,  2, "ts.pheasant_0"
+ 2,  4, "ts.silk_0"
 
- 3,  2, "ts.coal0"
- 3,  4, "ts.wine0"
+ 3,  2, "ts.coal_0"
+ 3,  4, "ts.wine_0"
 
- 4,  2, "ts.gold0"
- 4,  4, "ts.iron0"
+ 4,  2, "ts.gold_0"
+ 4,  4, "ts.iron_0"
 
- 5,  2, "ts.tundra_game0"
- 5,  4, "ts.furs0"
+ 5,  2, "ts.tundra_game_0"
+ 5,  4, "ts.furs_0"
 
- 6,  2, "ts.arctic_ivory0"
- 6,  4, "ts.arctic_oil0"
+ 6,  2, "ts.arctic_ivory_0"
+ 6,  4, "ts.arctic_oil_0"
 
- 7,  2, "ts.peat0"
- 7,  4, "ts.spice0"
+ 7,  2, "ts.peat_0"
+ 7,  4, "ts.spice_0"
 
- 8,  2, "ts.gems0"
- 8,  4, "ts.fruit0"
+ 8,  2, "ts.gems_0"
+ 8,  4, "ts.fruit_0"
 
- 9,  2, "ts.fish0"
- 9,  4, "ts.whales0"
+ 9,  2, "ts.fish_0"
+ 9,  4, "ts.whales_0"
 
- 10, 2, "ts.seals0"
- 10, 4, "ts.forest_game0"
+ 10, 2, "ts.seals_0"
+ 10, 4, "ts.forest_game_0"
 
- 11, 2, "ts.horses0"
- 11, 4, "ts.grassland_resources0", "ts.river_resources0"
+ 11, 2, "ts.horses_0"
+ 11, 4, "ts.grassland_resources_0", "ts.river_resources_0"
 
 ; Roads
  12, 0, "road.road_isolated"
@@ -112,15 +112,15 @@ tiles = { "row", "column", "tag"
  13, 8, "road.rail_nw"
 
 ; Other extras
- 0,  6, "tx.oil_mine0"
+ 0,  6, "tx.oil_mine_0"
  1,  6, "tx.irrigation"
  2,  6, "tx.farmland"
- 3,  6, "tx.mine0"
- 4,  6, "tx.pollution0"
- 5,  6, "tx.village0"
- 6,  6, "tx.fallout0"
- 7,  6, "tx.oil_rig0"
- 8,  6, "tx.nets0"
+ 3,  6, "tx.mine_0"
+ 4,  6, "tx.pollution_0"
+ 5,  6, "tx.village_0"
+ 6,  6, "tx.fallout_0"
+ 7,  6, "tx.oil_rig_0"
+ 8,  6, "tx.nets_0"
 
  15,  0, "t.dither_tile"
  15,  0, "tx.darkness"
diff --git a/data/amplio/tiles.spec b/data/amplio/tiles.spec
index 15c33b2c3f..38aedf0d2a 100644
--- a/data/amplio/tiles.spec
+++ b/data/amplio/tiles.spec
@@ -29,8 +29,8 @@ tiles = { "row", "column", "tag"
   0, 18, "unit.auto_attack",
          "unit.auto_worker"
   0, 19, "unit.stack"
-  0, 16, "unit.action_decision_want1"
-  1, 16, "unit.action_decision_want0"
+  0, 16, "unit.action_decision_want_1"
+  1, 16, "unit.action_decision_want_0"
   1, 17, "unit.loaded"
   1, 18, "unit.connect"
   1, 19, "unit.auto_explore"
diff --git a/data/amplio2/activities.spec b/data/amplio2/activities.spec
index 1d8cbb843a..10df1928e6 100644
--- a/data/amplio2/activities.spec
+++ b/data/amplio2/activities.spec
@@ -54,8 +54,8 @@ tiles = { "row", "column", "tag"
   4, 0, "unit.goto"
   4, 1, "unit.convert"
   4, 2, "unit.auto_explore"
-  4, 3, "unit.action_decision_want0"
-  4, 4, "unit.action_decision_want1"
+  4, 3, "unit.action_decision_want_0"
+  4, 4, "unit.action_decision_want_1"
 
 ; [GS]
   5,  0, "unit.irrigation"
diff --git a/data/amplio2/select.spec b/data/amplio2/select.spec
index fe5fbc1018..20f0567fc3 100644
--- a/data/amplio2/select.spec
+++ b/data/amplio2/select.spec
@@ -23,8 +23,8 @@ dy = 48
 pixel_border = 0
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/amplio2/terrain1.spec b/data/amplio2/terrain1.spec
index 0c56d8cbb0..9ddb6dbad4 100644
--- a/data/amplio2/terrain1.spec
+++ b/data/amplio2/terrain1.spec
@@ -55,41 +55,41 @@ tiles = { "row", "column", "tag"
 
 ; Terrain special resources:
 
- 0,  2, "ts.oasis0"
- 0,  4, "ts.oil0"
+ 0,  2, "ts.oasis_0"
+ 0,  4, "ts.oil_0"
 
- 1,  2, "ts.buffalo0"
- 1,  4, "ts.wheat0"
+ 1,  2, "ts.buffalo_0"
+ 1,  4, "ts.wheat_0"
 
- 2,  2, "ts.pheasant0"
- 2,  4, "ts.silk0"
+ 2,  2, "ts.pheasant_0"
+ 2,  4, "ts.silk_0"
 
- 3,  2, "ts.coal0"
- 3,  4, "ts.wine0"
+ 3,  2, "ts.coal_0"
+ 3,  4, "ts.wine_0"
 
- 4,  2, "ts.gold0"
- 4,  4, "ts.iron0"
+ 4,  2, "ts.gold_0"
+ 4,  4, "ts.iron_0"
 
- 5,  2, "ts.tundra_game0"
- 5,  4, "ts.furs0"
+ 5,  2, "ts.tundra_game_0"
+ 5,  4, "ts.furs_0"
 
- 6,  2, "ts.arctic_ivory0"
- 6,  4, "ts.arctic_oil0"
+ 6,  2, "ts.arctic_ivory_0"
+ 6,  4, "ts.arctic_oil_0"
 
- 7,  2, "ts.peat0"
- 7,  4, "ts.spice0"
+ 7,  2, "ts.peat_0"
+ 7,  4, "ts.spice_0"
 
- 8,  2, "ts.gems0"
- 8,  4, "ts.fruit0"
+ 8,  2, "ts.gems_0"
+ 8,  4, "ts.fruit_0"
 
- 9,  2, "ts.fish0"
- 9,  4, "ts.whales0"
+ 9,  2, "ts.fish_0"
+ 9,  4, "ts.whales_0"
 
- 10, 2, "ts.seals0"
- 10, 4, "ts.forest_game0"
+ 10, 2, "ts.seals_0"
+ 10, 4, "ts.forest_game_0"
 
- 11, 2, "ts.horses0"
- 11, 4, "ts.grassland_resources0", "ts.river_resources0"
+ 11, 2, "ts.horses_0"
+ 11, 4, "ts.grassland_resources_0", "ts.river_resources_0"
 
 ; Roads
  12, 0, "road.road_isolated"
@@ -114,15 +114,15 @@ tiles = { "row", "column", "tag"
  13, 8, "road.rail_nw"
 
 ; Add-ons
- 0,  6, "tx.oil_mine0"
+ 0,  6, "tx.oil_mine_0"
  1,  6, "tx.irrigation"
  2,  6, "tx.farmland"
- 3,  6, "tx.mine0"
- 4,  6, "tx.pollution0"
- 5,  6, "tx.village0"
- 6,  6, "tx.fallout0"
- 7,  6, "tx.oil_rig0"
- 8,  6, "tx.nets0"
+ 3,  6, "tx.mine_0"
+ 4,  6, "tx.pollution_0"
+ 5,  6, "tx.village_0"
+ 6,  6, "tx.fallout_0"
+ 7,  6, "tx.oil_rig_0"
+ 8,  6, "tx.nets_0"
 
  15,  0, "t.dither_tile"
  15,  0, "tx.darkness"
diff --git a/data/hex2t/items.spec b/data/hex2t/items.spec
index bfdd8a496c..b75e8a07a6 100644
--- a/data/hex2t/items.spec
+++ b/data/hex2t/items.spec
@@ -212,8 +212,8 @@ tiles = { "row", "column", "tag"
 
 ; Unit activity letters:  (note unit icons have just "u.")
 
-  0, 11, "unit.action_decision_want1"
-  0, 12, "unit.action_decision_want0"
+  0, 11, "unit.action_decision_want_1"
+  0, 12, "unit.action_decision_want_0"
   0, 13, "unit.convert"
   0, 14, "unit.auto_attack",
          "unit.auto_worker"
diff --git a/data/hex2t/select.spec b/data/hex2t/select.spec
index 8e6858bc02..7054ca539d 100644
--- a/data/hex2t/select.spec
+++ b/data/hex2t/select.spec
@@ -24,8 +24,8 @@ dy = 37
 pixel_border = 0
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/hex2t/tiles.spec b/data/hex2t/tiles.spec
index c938f02584..602215d2f0 100644
--- a/data/hex2t/tiles.spec
+++ b/data/hex2t/tiles.spec
@@ -99,45 +99,45 @@ tiles = { "row", "column","tag"
 
 ; Terrain special resources:
 
-  4, 0, "ts.oasis0"
-  5, 0, "ts.oil0"
-  4, 1, "ts.buffalo0"
-  5, 1, "ts.wheat0"
-  5, 2, "ts.grassland_resources0", "ts.river_resources0"
-  4, 3, "ts.pheasant0"
-  5, 3, "ts.silk0"
-  4, 4, "ts.coal0"
-  5, 4, "ts.wine0"
-  4, 5, "ts.gold0"
-  5, 5, "ts.iron0"
-  4, 6, "ts.tundra_game0"
-  5, 6, "ts.furs0"
-  4, 7, "ts.arctic_ivory0"
-  5, 7, "ts.arctic_oil0"
-  4, 8, "ts.peat0"
-  5, 8, "ts.spice0"
-  4, 9, "ts.gems0"
-  5, 9, "ts.fruit0"
-  4, 10, "ts.fish0"
-  5, 10, "ts.whales0"
-
-  6, 7, "ts.seals0"
-  6, 8, "ts.forest_game0"
-  6, 9, "ts.horses0"
+  4, 0, "ts.oasis_0"
+  5, 0, "ts.oil_0"
+  4, 1, "ts.buffalo_0"
+  5, 1, "ts.wheat_0"
+  5, 2, "ts.grassland_resources_0", "ts.river_resources_0"
+  4, 3, "ts.pheasant_0"
+  5, 3, "ts.silk_0"
+  4, 4, "ts.coal_0"
+  5, 4, "ts.wine_0"
+  4, 5, "ts.gold_0"
+  5, 5, "ts.iron_0"
+  4, 6, "ts.tundra_game_0"
+  5, 6, "ts.furs_0"
+  4, 7, "ts.arctic_ivory_0"
+  5, 7, "ts.arctic_oil_0"
+  4, 8, "ts.peat_0"
+  5, 8, "ts.spice_0"
+  4, 9, "ts.gems_0"
+  5, 9, "ts.fruit_0"
+  4, 10, "ts.fish_0"
+  5, 10, "ts.whales_0"
+
+  6, 7, "ts.seals_0"
+  6, 8, "ts.forest_game_0"
+  6, 9, "ts.horses_0"
 
 
 ; Extras
 
-  6, 0, "tx.oil_mine0"
-  6, 10, "tx.oil_rig0"
-  6, 1, "tx.mine0"
+  6, 0, "tx.oil_mine_0"
+  6, 10, "tx.oil_rig_0"
+  6, 1, "tx.mine_0"
   6, 2, "tx.irrigation"
   6, 3, "tx.farmland"
-  6, 4, "tx.pollution0"
-  6, 5, "tx.fallout0"
-  6, 6, "tx.village0"
+  6, 4, "tx.pollution_0"
+  6, 5, "tx.fallout_0"
+  6, 6, "tx.village_0"
 
-  7, 10, "tx.nets0"
+  7, 10, "tx.nets_0"
 
 ; Random stuff
 
diff --git a/data/hexemplio/activities.spec b/data/hexemplio/activities.spec
index 7b12973ab3..61868404e0 100644
--- a/data/hexemplio/activities.spec
+++ b/data/hexemplio/activities.spec
@@ -71,7 +71,7 @@ tiles = { "row", "column", "tag"
   3,  3, "unit.oil_mine"                ;[GS]
   3,  4, "unit.oil_rig"                 ;[GS]
 
-  4,  0, "unit.action_decision_want0"
-  4,  1, "unit.action_decision_want1"
+  4,  0, "unit.action_decision_want_0"
+  4,  1, "unit.action_decision_want_1"
 
 }
diff --git a/data/hexemplio/select.spec b/data/hexemplio/select.spec
index 93be2521c6..7726659b01 100644
--- a/data/hexemplio/select.spec
+++ b/data/hexemplio/select.spec
@@ -23,8 +23,8 @@ dy = 38
 pixel_border = 1
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/hexemplio/terrain.spec b/data/hexemplio/terrain.spec
index 25fc8398c1..3f3cdc0ef7 100644
--- a/data/hexemplio/terrain.spec
+++ b/data/hexemplio/terrain.spec
@@ -60,51 +60,51 @@ tiles = { "row", "column","tag"
   5,    0,  "t.l1.inaccessible1"
 
 ; Terrain special resources:
- 1,   0, "ts.oil0"                              ;[?]
- 1,   0, "ts.arctic_oil0"                       ;[?]
- 1,   1, "ts.buffalo0"                          ;[?]
- 1,   2, "ts.grassland_resources0"              ;[?]
- 1,   2, "ts.river_resources0"                  ;[?]
- 1,   3, "ts.tundra_game0"                      ;[?]
- 1,   4, "ts.arctic_ivory0"                     ;[?]
- 1,   5, "ts.peat0"                             ;[?]
- 1,   6, "ts.coal0"                             ;[?]
- 1,   7, "ts.forest_game0"                      ;[?]
- 1,   8, "ts.gold0"                             ;[?]
+ 1,   0, "ts.oil_0"                             ;[?]
+ 1,   0, "ts.arctic_oil_0"                      ;[?]
+ 1,   1, "ts.buffalo_0"                         ;[?]
+ 1,   2, "ts.grassland_resources_0"             ;[?]
+ 1,   2, "ts.river_resources_0"                 ;[?]
+ 1,   3, "ts.tundra_game_0"                     ;[?]
+ 1,   4, "ts.arctic_ivory_0"                    ;[?]
+ 1,   5, "ts.peat_0"                            ;[?]
+ 1,   6, "ts.coal_0"                            ;[?]
+ 1,   7, "ts.forest_game_0"                     ;[?]
+ 1,   8, "ts.gold_0"                            ;[?]
 
- 2,   0, "ts.oasis0"                            ;[BFW]
- 2,   1, "ts.wheat0"                            ;[?]
- 2,   2, "ts.pheasant0"                         ;[?]
- 2,   3, "ts.furs0"                             ;[?]
- 2,   4, "ts.seals0"                            ;[?]
- 2,   5, "ts.spice0"                            ;[?]
- 2,   6, "ts.wine0"                             ;[?]
- 2,   7, "ts.silk0"                             ;[?]
- 2,   8, "ts.iron0"                             ;[?]
+ 2,   0, "ts.oasis_0"                           ;[BFW]
+ 2,   1, "ts.wheat_0"                           ;[?]
+ 2,   2, "ts.pheasant_0"                        ;[?]
+ 2,   3, "ts.furs_0"                            ;[?]
+ 2,   4, "ts.seals_0"                           ;[?]
+ 2,   5, "ts.spice_0"                           ;[?]
+ 2,   6, "ts.wine_0"                            ;[?]
+ 2,   7, "ts.silk_0"                            ;[?]
+ 2,   8, "ts.iron_0"                            ;[?]
 
- 3,   6, "ts.fruit0"                            ;[?]
- 3,   7, "ts.gems0"                             ;[?]
- 3,   8, "ts.fish0"                             ;[?]
+ 3,   6, "ts.fruit_0"                           ;[?]
+ 3,   7, "ts.gems_0"                            ;[?]
+ 3,   8, "ts.fish_0"                            ;[?]
 
- 4,   8, "ts.whales0"                           ;[?]
+ 4,   8, "ts.whales_0"                          ;[?]
 
 ; Strategic Resources
- 3,   0, "ts.saltpeter0"                        ;[?]
- 3,   1, "ts.aluminum0"                         ;[?]
- 3,   2, "ts.uranium0"                          ;[?]
- 3,   3, "ts.horses0"                           ;[?]
- 3,   4, "ts.elephant0"                         ;[AF]
- 3,   5, "ts.rubber0"                           ;[GS]
+ 3,   0, "ts.saltpeter_0"                       ;[?]
+ 3,   1, "ts.aluminum_0"                        ;[?]
+ 3,   2, "ts.uranium_0"                         ;[?]
+ 3,   3, "ts.horses_0"                          ;[?]
+ 3,   4, "ts.elephant_0"                        ;[AF]
+ 3,   5, "ts.rubber_0"                          ;[GS]
 
 ;add-ons
- 4, 0, "tx.oil_mine0"                           ;[?]
- 4, 1, "tx.mine0"                               ;[?]
- 4, 2, "tx.oil_rig0"                            ;[?][GS]
+ 4, 0, "tx.oil_mine_0"                          ;[?]
+ 4, 1, "tx.mine_0"                              ;[?]
+ 4, 2, "tx.oil_rig_0"                           ;[?][GS]
  4, 3, "tx.irrigation"                          ;[GS]
  4, 4, "tx.farmland"                            ;[GS]
- 4, 5, "tx.fallout0"                            ;[?][GS]
- 4, 6, "tx.pollution0"                          ;[?]
- 4, 7, "tx.village0"                            ;[BFW][GS]
+ 4, 5, "tx.fallout_0"                           ;[?][GS]
+ 4, 6, "tx.pollution_0"                         ;[?]
+ 4, 7, "tx.village_0"                           ;[BFW][GS]
 
 ;misc
  5, 5, "mask.tile"
@@ -131,7 +131,7 @@ tiles = { "row", "column","tag"
  6, 2, "path.normal"          ; tip of path with MP remaining
  6, 3, "path.waypoint"
 
- 6, 4, "tx.nets0"
+ 6, 4, "tx.nets_0"
 
 ; Irrigation (as special type), and whether north, south, east, west
 
diff --git a/data/isophex/terrain1.spec b/data/isophex/terrain1.spec
index 027ed026dd..30b9870f8d 100644
--- a/data/isophex/terrain1.spec
+++ b/data/isophex/terrain1.spec
@@ -43,40 +43,40 @@ tiles = { "row", "column","tag"
 
 ; Terrain special resources:
 
-  1,    0, "ts.oil0"
-  2,    0, "ts.oasis0"
-  1,    1, "ts.buffalo0"
-  2,    1, "ts.wheat0"
-  1,    2, "ts.grassland_resources0"
-  1,    2, "ts.river_resources0"
-  2,    2, "ts.pheasant0"
-  1,    3, "ts.tundra_game0"
-  2,    3, "ts.furs0"
-  1,    4, "ts.arctic_ivory0"
-  2,    4, "ts.arctic_oil0"
-  1,    5, "ts.peat0"
-  2,    5, "ts.spice0"
-  1,    6, "ts.gems0"
-  2,    6, "ts.fruit0"
-  1,    7, "ts.forest_game0"
-  2,    7, "ts.silk0"
-  1,    8, "ts.coal0"
-  2,    8, "ts.wine0"
-  1,    9, "ts.gold0"
-  2,    9, "ts.iron0"
-  1,   10, "ts.fish0"
-  2,   10, "ts.whales0"
-
-  3,    6, "ts.seals0"
+  1,    0, "ts.oil_0"
+  2,    0, "ts.oasis_0"
+  1,    1, "ts.buffalo_0"
+  2,    1, "ts.wheat_0"
+  1,    2, "ts.grassland_resources_0"
+  1,    2, "ts.river_resources_0"
+  2,    2, "ts.pheasant_0"
+  1,    3, "ts.tundra_game_0"
+  2,    3, "ts.furs_0"
+  1,    4, "ts.arctic_ivory_0"
+  2,    4, "ts.arctic_oil_0"
+  1,    5, "ts.peat_0"
+  2,    5, "ts.spice_0"
+  1,    6, "ts.gems_0"
+  2,    6, "ts.fruit_0"
+  1,    7, "ts.forest_game_0"
+  2,    7, "ts.silk_0"
+  1,    8, "ts.coal_0"
+  2,    8, "ts.wine_0"
+  1,    9, "ts.gold_0"
+  2,    9, "ts.iron_0"
+  1,   10, "ts.fish_0"
+  2,   10, "ts.whales_0"
+
+  3,    6, "ts.seals_0"
 
 ; Strategic Resources
 
-  3,    0, "ts.saltpeter0"
-  3,    1, "ts.aluminum0"
-  3,    2, "ts.uranium0"
-  3,    3, "ts.horses0"
-  3,    4, "ts.elephant0"
-  3,    5, "ts.rubber0"
+  3,    0, "ts.saltpeter_0"
+  3,    1, "ts.aluminum_0"
+  3,    2, "ts.uranium_0"
+  3,    3, "ts.horses_0"
+  3,    4, "ts.elephant_0"
+  3,    5, "ts.rubber_0"
 
 ; Roads
 
@@ -116,15 +116,15 @@ tiles = { "row", "column","tag"
 
 ;add-ons
 
-  4,    0, "tx.oil_mine0"
-  4,    1, "tx.oil_rig0"
-  4,    2, "tx.mine0"
+  4,    0, "tx.oil_mine_0"
+  4,    1, "tx.oil_rig_0"
+  4,    2, "tx.mine_0"
   4,    3, "tx.irrigation"
   4,    4, "tx.farmland"
-  4,    5, "tx.fallout0"
-  4,    6, "tx.pollution0"
-  4,    7, "tx.village0"
-  4,    8, "tx.nets0"
+  4,    5, "tx.fallout_0"
+  4,    6, "tx.pollution_0"
+  4,    7, "tx.village_0"
+  4,    8, "tx.nets_0"
 
 ; misc
 
diff --git a/data/isotrident/select.spec b/data/isotrident/select.spec
index f14029e527..bbbd004bab 100644
--- a/data/isotrident/select.spec
+++ b/data/isotrident/select.spec
@@ -21,8 +21,8 @@ dy = 32
 pixel_border = 0
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/isotrident/terrain1.spec b/data/isotrident/terrain1.spec
index 537c6a77b4..b1c2d338c9 100644
--- a/data/isotrident/terrain1.spec
+++ b/data/isotrident/terrain1.spec
@@ -55,40 +55,40 @@ tiles = { "row", "column","tag"
 
 ; Terrain special resources:
 
- 0,   2, "ts.oasis0"
- 0,   3, "ts.oil0"
+ 0,   2, "ts.oasis_0"
+ 0,   3, "ts.oil_0"
 
- 1,   2, "ts.buffalo0"
- 1,   3, "ts.wheat0"
+ 1,   2, "ts.buffalo_0"
+ 1,   3, "ts.wheat_0"
 
- 2,  2, "ts.fish0"
- 2,  3, "ts.whales0"
+ 2,  2, "ts.fish_0"
+ 2,  3, "ts.whales_0"
 
- 7,   7, "ts.grassland_resources0", "ts.river_resources0"
+ 7,   7, "ts.grassland_resources_0", "ts.river_resources_0"
 
- 3,   2, "ts.pheasant0"
- 3,   3, "ts.silk0"
+ 3,   2, "ts.pheasant_0"
+ 3,   3, "ts.silk_0"
 
- 4,   2, "ts.coal0"
- 4,   3, "ts.wine0"
+ 4,   2, "ts.coal_0"
+ 4,   3, "ts.wine_0"
 
- 5,   2, "ts.gold0"
- 5,   3, "ts.iron0"
+ 5,   2, "ts.gold_0"
+ 5,   3, "ts.iron_0"
 
- 6,   2, "ts.tundra_game0"
- 6,   3, "ts.furs0"
+ 6,   2, "ts.tundra_game_0"
+ 6,   3, "ts.furs_0"
 
- 7,   2, "ts.arctic_ivory0"
- 7,   3, "ts.arctic_oil0"
+ 7,   2, "ts.arctic_ivory_0"
+ 7,   3, "ts.arctic_oil_0"
 
- 8,   2, "ts.peat0"
- 8,   3, "ts.spice0"
+ 8,   2, "ts.peat_0"
+ 8,   3, "ts.spice_0"
 
- 9,   2, "ts.gems0"
- 9,   3, "ts.fruit0"
- 9,   4, "ts.horses0"
- 9,   5, "ts.seals0"
- 9,   6, "ts.forest_game0"
+ 9,   2, "ts.gems_0"
+ 9,   3, "ts.fruit_0"
+ 9,   4, "ts.horses_0"
+ 9,   5, "ts.seals_0"
+ 9,   6, "ts.forest_game_0"
 
 
 ; Maglevs
@@ -122,15 +122,15 @@ tiles = { "row", "column","tag"
  12, 8, "road.rail_nw"
 
 ; Add-ons
- 2, 7, "tx.oil_mine0"
- 2, 8, "tx.oil_rig0"
+ 2, 7, "tx.oil_mine_0"
+ 2, 8, "tx.oil_rig_0"
  3, 7, "tx.irrigation"
  4, 7, "tx.farmland"
- 5, 7, "tx.mine0"
- 6, 7, "tx.pollution0"
- 8, 7, "tx.village0"
- 8, 8, "tx.nets0"
- 9, 7, "tx.fallout0"
+ 5, 7, "tx.mine_0"
+ 6, 7, "tx.pollution_0"
+ 8, 7, "tx.village_0"
+ 8, 8, "tx.nets_0"
+ 9, 7, "tx.fallout_0"
 }
 
 
diff --git a/data/trident/select.spec b/data/trident/select.spec
index 82356ed110..61967286cc 100644
--- a/data/trident/select.spec
+++ b/data/trident/select.spec
@@ -21,8 +21,8 @@ dy = 30
 pixel_border = 0
 
 tiles = { "row", "column", "tag"
-  0, 0, "unit.select0"
-  0, 1, "unit.select1"
-  0, 2, "unit.select2"
-  0, 3, "unit.select3"
+  0, 0, "unit.select_0"
+  0, 1, "unit.select_1"
+  0, 2, "unit.select_2"
+  0, 3, "unit.select_3"
 }
diff --git a/data/trident/tiles.spec b/data/trident/tiles.spec
index adcbbe7179..85f4b8cc73 100644
--- a/data/trident/tiles.spec
+++ b/data/trident/tiles.spec
@@ -453,54 +453,54 @@ tiles = { "row", "column", "tag"
 
 ; Terrain special resources:
 
- 14,  0, "ts.spice0"
- 14,  1, "ts.furs0"
- 14,  2, "ts.peat0"
- 14,  3, "ts.arctic_ivory0"
- 14,  4, "ts.fruit0"
- 14,  5, "ts.iron0"
- 14,  6, "ts.whales0"
- 14,  7, "ts.wheat0"
- 14,  8, "ts.pheasant0"
- 14,  9, "ts.buffalo0"
- 14, 10, "ts.silk0"
- 14, 11, "ts.wine0"
-
- 15,  0, "ts.seals0"
- 15,  1, "ts.oasis0"
- 15,  2, "ts.forest_game0"
- 15,  3, "ts.grassland_resources0"
- 15,  4, "ts.coal0"
- 15,  5, "ts.gems0"
- 15,  6, "ts.gold0"
- 15,  7, "ts.fish0"
- 15,  8, "ts.horses0"
- 15,  9, "ts.river_resources0"
- 15, 10, "ts.oil0", "ts.arctic_oil0"
- 15, 11, "ts.tundra_game0"
+ 14,  0, "ts.spice_0"
+ 14,  1, "ts.furs_0"
+ 14,  2, "ts.peat_0"
+ 14,  3, "ts.arctic_ivory_0"
+ 14,  4, "ts.fruit_0"
+ 14,  5, "ts.iron_0"
+ 14,  6, "ts.whales_0"
+ 14,  7, "ts.wheat_0"
+ 14,  8, "ts.pheasant_0"
+ 14,  9, "ts.buffalo_0"
+ 14, 10, "ts.silk_0"
+ 14, 11, "ts.wine_0"
+
+ 15,  0, "ts.seals_0"
+ 15,  1, "ts.oasis_0"
+ 15,  2, "ts.forest_game_0"
+ 15,  3, "ts.grassland_resources_0"
+ 15,  4, "ts.coal_0"
+ 15,  5, "ts.gems_0"
+ 15,  6, "ts.gold_0"
+ 15,  7, "ts.fish_0"
+ 15,  8, "ts.horses_0"
+ 15,  9, "ts.river_resources_0"
+ 15, 10, "ts.oil_0", "ts.arctic_oil_0"
+ 15, 11, "ts.tundra_game_0"
 
 ; Terrain Strategic Resources
 
- 15, 12, "ts.aluminum0"
- 15, 13, "ts.uranium0"
- 15, 14, "ts.saltpeter0"
- 15, 15, "ts.elephant0"
+ 15, 12, "ts.aluminum_0"
+ 15, 13, "ts.uranium_0"
+ 15, 14, "ts.saltpeter_0"
+ 15, 15, "ts.elephant_0"
 
 ; Terrain improvements and similar:
 
  16,  0, "tx.farmland"
  16,  1, "tx.irrigation"
- 16,  2, "tx.mine0"
- 16,  3, "tx.oil_mine0"
- 16,  4, "tx.pollution0"
- 16,  5, "tx.fallout0"
- 16, 13, "tx.oil_rig0"
- 16, 14, "tx.nets0"
+ 16,  2, "tx.mine_0"
+ 16,  3, "tx.oil_mine_0"
+ 16,  4, "tx.pollution_0"
+ 16,  5, "tx.fallout_0"
+ 16, 13, "tx.oil_rig_0"
+ 16, 14, "tx.nets_0"
 
 ; Bases
  16,  6, "base.buoy_mg"
  16,  7, "extra.ruins_mg"
- 16,  8, "tx.village0"
+ 16,  8, "tx.village_0"
  16,  9, "base.airstrip_mg"
  16, 10, "base.airbase_mg"
  16, 11, "base.outpost_mg"
-- 
2.45.2

